package mx.edu.uaz.controlpeliculas.vistas;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.annotations.DesignRoot;
import com.vaadin.ui.Button;
import com.vaadin.ui.CssLayout;
import com.vaadin.ui.PasswordField;
import com.vaadin.ui.TextField;
import com.vaadin.ui.declarative.Design;

/** 
 * !! DO NOT EDIT THIS FILE !!
 * 
 * This class is generated by Vaadin Designer and will be overwritten.
 * 
 * Please make a subclass with logic and additional interfaces as needed,
 * e.g class LoginView extends LoginDesign implements View { }
 */
@DesignRoot
@AutoGenerated
@SuppressWarnings("serial")
public class FormUsuario extends CssLayout {
	protected TextField tfUsuario;
	protected PasswordField pfContra;
	protected TextField tfNombre;
	protected TextField tfApellidos;
	protected TextField tfEmail;
	protected Button btnRegistrar;
	protected Button btnLogin;

	public FormUsuario() {
		Design.read(this);
	}
}
